[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.AddOnIdleEndHandler

Adds an application IdleEnd handler to the list of handlers for the type.

## Declaration

Source position: forms.pp line 1649

`public procedure TApplication.AddOnIdleEndHandler(`
`Handler: TNotifyEvent;`
`AsFirst: Boolean = True`
`);`

## Arguments

`Handler` |  | Idle end handler routine added to the list of handlers.
`AsFirst` |  | True if the handler is inserted as the first item in the list. False if the handler is appended to the list.

## See also

TApplicationHandlerType |  | Types of Application notification handlers.